public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-cdr/nrg2iso/
@ 2017-05-31 16:22 Patrice Clement
  0 siblings, 0 replies; 9+ messages in thread
From: Patrice Clement @ 2017-05-31 16:22 UTC (permalink / raw
  To: gentoo-commits

commit:     801df3e392d499a89d4b9064857f13d252064b18
Author:     Yegor Timoshenko <yegortimoshenko <AT> gmail <DOT> com>
AuthorDate: Thu May 18 00:36:34 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed May 31 16:22:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=801df3e3

app-cdr/nrg2iso: EAPI 6 bump, keyword for ~x64-macos, fix LICENSE and src_test phase.

Closes: https://github.com/gentoo/gentoo/pull/4663

 app-cdr/nrg2iso/Manifest              |  2 ++
 app-cdr/nrg2iso/metadata.xml          | 12 ++++++++----
 app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild | 35 +++++++++++++++++++++++++++++++++++
 3 files changed, 45 insertions(+), 4 deletions(-)

diff --git a/app-cdr/nrg2iso/Manifest b/app-cdr/nrg2iso/Manifest
index 523734b82d5..0bc0662ec93 100644
--- a/app-cdr/nrg2iso/Manifest
+++ b/app-cdr/nrg2iso/Manifest
@@ -1 +1,3 @@
 DIST nrg2iso-0.4.tar.gz 8553 SHA256 25049d864680ec12bbe31b20597ce8c1ba3a4fe7a7f11e25742b83e2fda94aa3 SHA512 fa9e081984345770fad713cdfc5711c8c9ace3981d1cc8130b4c2b83eca517c7765eaab758a34dd5e59846f24c6e3f76f3fc89e984305c4358859b0b28e1ec68 WHIRLPOOL 668d43e1a3dc7e3dfc41f92212d3c102d41ef055f7af396a4e8726aa047701e64bac4100f3a149e61641d52bbbc88a6bd024976e2bda62a84535017cac835b14
+DIST nrg2iso-test.iso 55452 SHA256 c88230596afeebef632ebe1c683180abb93a082e3e8667ca066d994b9cd77605 SHA512 905c0b30482a3b411e786a4cc225dab7513a33c32bfd312717f4666543323456d2b6b6ddbeee75ed194e04cf28d472c87ffbdbf783c63abd06fae7e433601fba WHIRLPOOL 0db6347b0eb253879bd675112faad91cab287e8a26eb63b03b116ff4ae5a8d72b82fd65d38935f8a66c4b7b464bed0667cdc421d19d83835e9a63b4014b66d6c
+DIST nrg2iso-test.nrg 362652 SHA256 1219059917243ec0d8ca211354e50611a912094a1ea523d759c06690b60bc63a SHA512 c29f7e7d3f692a03fdbc5d0c1a112ead73efb45b102302f7f1685f9f2ccfe1eed9b690a3c3f1c7d7d79da9197fdb40dd06ca7bab4187e5dfca81d47268b550b7 WHIRLPOOL a4ee3f1216eebe15ca01037eae371697d4275f463c4428e403b30c66f1412bf9853bf7bbb413f2c2a3c72c24a9695aa8532dd5519bdd2ea0ccffbc456d6a219f

diff --git a/app-cdr/nrg2iso/metadata.xml b/app-cdr/nrg2iso/metadata.xml
index 074a8867a5c..c2690264a00 100644
--- a/app-cdr/nrg2iso/metadata.xml
+++ b/app-cdr/nrg2iso/metadata.xml
@@ -1,8 +1,12 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<!-- maintainer-needed -->
-<longdescription>Nrg2Iso is a linux utils for converting CD (or DVD) image
-generated by Nero Burning Rom to ISO format.
-</longdescription>
+<maintainer type="person">
+    <email>yegortimoshenko@gmail.com</email>
+    <name>Yegor Timoshenko</name>
+</maintainer>
+<maintainer type="project">
+    <email>proxy-maint@gentoo.org</email>
+    <name>Proxy Maintainers</name>
+</maintainer>
 </pkgmetadata>

diff --git a/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild b/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
new file mode 100644
index 00000000000..30048df034e
--- /dev/null
+++ b/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit toolchain-funcs
+
+DESCRIPTION="Convert CD images from nrg (Nero) to iso"
+HOMEPAGE="http://gregory.kokanosky.free.fr/v4/linux/nrg2iso.en.html"
+SRC_URI="http://gregory.kokanosky.free.fr/v4/linux/${P}.tar.gz
+	test? (
+		https://yegortimoshenko.s3.amazonaws.com/${PN}-test.iso
+		https://yegortimoshenko.s3.amazonaws.com/${PN}-test.nrg
+	)"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="test"
+DOCS=( CHANGELOG )
+
+src_compile() {
+	$(tc-getCC) ${CFLAGS} ${LDFLAGS} ${PN}.c -o ${PN}
+}
+
+src_test() {
+	einfo "checking that nrg -> iso matches the expected output"
+	"${S}/${PN}" "${DISTDIR}/${PN}-test.nrg" "${T}/${PN}-test.iso" || die "conversion failed"
+	diff "${DISTDIR}/${PN}-test.iso" "${T}/${PN}-test.iso" || die "unexpected iso"
+}
+
+src_install() {
+	dobin ${PN}
+	einstalldocs
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-cdr/nrg2iso/
@ 2018-01-06 10:32 Michał Górny
  0 siblings, 0 replies; 9+ messages in thread
From: Michał Górny @ 2018-01-06 10:32 UTC (permalink / raw
  To: gentoo-commits

commit:     63c7515f33ee7543b47e3f53603dcbd4beaf5db6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  6 10:25:05 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan  6 10:32:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63c7515f

app-cdr/nrg2iso: Remove proxied maintainer

Bug: https://bugs.gentoo.org/618864

 app-cdr/nrg2iso/metadata.xml | 9 +--------
 1 file changed, 1 insertion(+), 8 deletions(-)

diff --git a/app-cdr/nrg2iso/metadata.xml b/app-cdr/nrg2iso/metadata.xml
index c2690264a00..58f638b2ac3 100644
--- a/app-cdr/nrg2iso/metadata.xml
+++ b/app-cdr/nrg2iso/metadata.xml
@@ -1,12 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<maintainer type="person">
-    <email>yegortimoshenko@gmail.com</email>
-    <name>Yegor Timoshenko</name>
-</maintainer>
-<maintainer type="project">
-    <email>proxy-maint@gentoo.org</email>
-    <name>Proxy Maintainers</name>
-</maintainer>
+	<!--maintainer-needed-->
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-cdr/nrg2iso/
@ 2018-02-08 22:13 Sergei Trofimovich
  0 siblings, 0 replies; 9+ messages in thread
From: Sergei Trofimovich @ 2018-02-08 22:13 UTC (permalink / raw
  To: gentoo-commits

commit:     8f5d1bef7bb6ffac1e2b98ec3ba6d73bf0c25f9b
Author:     Rolf Eike Beer <eike <AT> sf-mail <DOT> de>
AuthorDate: Thu Feb  8 22:03:56 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Thu Feb  8 22:13:00 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f5d1bef

app-cdr/nrg2iso: stable 0.4-r2 for sparc, bug #646972

Package-Manager: Portage-2.3.19, Repoman-2.3.6
RepoMan-Options: --include-arches="sparc"

 app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild b/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
index 30048df034e..66fa97d50c2 100644
--- a/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
+++ b/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="6"
@@ -15,7 +15,7 @@ SRC_URI="http://gregory.kokanosky.free.fr/v4/linux/${P}.tar.gz
 
 LICENSE="GPL-2+"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~amd64 ~ppc ~ppc64 sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
 IUSE="test"
 DOCS=( CHANGELOG )
 


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-cdr/nrg2iso/
@ 2018-02-21 18:48 Jason Zaman
  0 siblings, 0 replies; 9+ messages in thread
From: Jason Zaman @ 2018-02-21 18:48 UTC (permalink / raw
  To: gentoo-commits

commit:     eb5677d4039de0e5a27e51a055747dc4b4cee8a5
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 21 18:40:12 2018 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Wed Feb 21 18:40:12 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb5677d4

app-cdr/nrg2iso: amd64 stable

Gentoo-bug: 646972
Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild b/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
index 66fa97d50c2..fbf2431cbb6 100644
--- a/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
+++ b/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
@@ -15,7 +15,7 @@ SRC_URI="http://gregory.kokanosky.free.fr/v4/linux/${P}.tar.gz
 
 LICENSE="GPL-2+"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc ~ppc64 sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="amd64 ~ppc ~ppc64 sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
 IUSE="test"
 DOCS=( CHANGELOG )
 


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-cdr/nrg2iso/
@ 2018-04-04 22:35 Sergei Trofimovich
  0 siblings, 0 replies; 9+ messages in thread
From: Sergei Trofimovich @ 2018-04-04 22:35 UTC (permalink / raw
  To: gentoo-commits

commit:     1e6d1f73b72987582989651993a8f30141de4310
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  4 22:34:18 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Wed Apr  4 22:34:18 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e6d1f73

app-cdr/nrg2iso: stable 0.4-r2 for ppc, bug #646972

Package-Manager: Portage-2.3.28, Repoman-2.3.9
RepoMan-Options: --include-arches="ppc"

 app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild b/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
index fbf2431cbb6..0c19765db93 100644
--- a/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
+++ b/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
@@ -15,7 +15,7 @@ SRC_URI="http://gregory.kokanosky.free.fr/v4/linux/${P}.tar.gz
 
 LICENSE="GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ~ppc ~ppc64 sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="amd64 ppc ~ppc64 sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
 IUSE="test"
 DOCS=( CHANGELOG )
 


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-cdr/nrg2iso/
@ 2018-04-12 19:07 Thomas Deutschmann
  0 siblings, 0 replies; 9+ messages in thread
From: Thomas Deutschmann @ 2018-04-12 19:07 UTC (permalink / raw
  To: gentoo-commits

commit:     2afd2c942bc74f6f9b6d941bc2f07d6983d3df62
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 12 18:59:59 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Apr 12 19:06:28 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2afd2c94

app-cdr/nrg2iso: x86 stable (bug #646972)

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild b/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
index 0c19765db93..25312a18564 100644
--- a/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
+++ b/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
@@ -15,7 +15,7 @@ SRC_URI="http://gregory.kokanosky.free.fr/v4/linux/${P}.tar.gz
 
 LICENSE="GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ppc ~ppc64 sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="amd64 ppc ~ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos"
 IUSE="test"
 DOCS=( CHANGELOG )
 


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-cdr/nrg2iso/
@ 2018-04-12 21:42 Andreas Sturmlechner
  0 siblings, 0 replies; 9+ messages in thread
From: Andreas Sturmlechner @ 2018-04-12 21:42 UTC (permalink / raw
  To: gentoo-commits

commit:     9ffb53dbb998fec81403f7c44b24b1e1f22dc679
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 12 20:03:32 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Apr 12 21:42:15 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ffb53db

app-cdr/nrg2iso: Drop old

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 app-cdr/nrg2iso/nrg2iso-0.4-r1.ebuild | 24 ------------------------
 1 file changed, 24 deletions(-)

diff --git a/app-cdr/nrg2iso/nrg2iso-0.4-r1.ebuild b/app-cdr/nrg2iso/nrg2iso-0.4-r1.ebuild
deleted file mode 100644
index 2e22e8734e7..00000000000
--- a/app-cdr/nrg2iso/nrg2iso-0.4-r1.ebuild
+++ /dev/null
@@ -1,24 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-inherit toolchain-funcs
-
-DESCRIPTION="Converts Nero nrg CD-images to iso"
-HOMEPAGE="http://gregory.kokanosky.free.fr/v4/linux/nrg2iso.en.html"
-SRC_URI="http://gregory.kokanosky.free.fr/v4/linux/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ppc ~ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
-IUSE=""
-
-DEPEND=""
-
-src_compile() {
-	$(tc-getCC) ${CFLAGS} ${LDFLAGS} -o nrg2iso nrg2iso.c || die "compile failed."
-}
-
-src_install() {
-	dobin nrg2iso || die "dobin failed."
-	dodoc CHANGELOG
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-cdr/nrg2iso/
@ 2022-07-26 19:27 David Seifert
  0 siblings, 0 replies; 9+ messages in thread
From: David Seifert @ 2022-07-26 19:27 UTC (permalink / raw
  To: gentoo-commits

commit:     58e7ac6cb63f4a2b8ae601781dcbcb2364f99dfe
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 26 19:27:13 2022 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Jul 26 19:27:13 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58e7ac6c

app-cdr/nrg2iso: update EAPI 6 -> 8

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../{nrg2iso-0.4-r2.ebuild => nrg2iso-0.4-r3.ebuild} | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

diff --git a/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild b/app-cdr/nrg2iso/nrg2iso-0.4-r3.ebuild
similarity index 62%
rename from app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
rename to app-cdr/nrg2iso/nrg2iso-0.4-r3.ebuild
index 16c6a8f6cce1..487dbc003d53 100644
--- a/app-cdr/nrg2iso/nrg2iso-0.4-r2.ebuild
+++ b/app-cdr/nrg2iso/nrg2iso-0.4-r3.ebuild
@@ -1,13 +1,14 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="6"
+EAPI=8
 
 inherit toolchain-funcs
 
 DESCRIPTION="Convert CD images from nrg (Nero) to iso"
 HOMEPAGE="http://gregory.kokanosky.free.fr/v4/linux/nrg2iso.en.html"
-SRC_URI="http://gregory.kokanosky.free.fr/v4/linux/${P}.tar.gz
+SRC_URI="
+	http://gregory.kokanosky.free.fr/v4/linux/${P}.tar.gz
 	test? (
 		https://yegortimoshenko.s3.amazonaws.com/${PN}-test.iso
 		https://yegortimoshenko.s3.amazonaws.com/${PN}-test.nrg
@@ -18,19 +19,22 @@ SLOT="0"
 KEYWORDS="amd64 ppc ~ppc64 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
 IUSE="test"
 RESTRICT="!test? ( test )"
-DOCS=( CHANGELOG )
+
+src_configure() {
+	tc-export CC
+}
 
 src_compile() {
-	$(tc-getCC) ${CFLAGS} ${LDFLAGS} ${PN}.c -o ${PN}
+	emake nrg2iso
 }
 
 src_test() {
 	einfo "checking that nrg -> iso matches the expected output"
-	"${S}/${PN}" "${DISTDIR}/${PN}-test.nrg" "${T}/${PN}-test.iso" || die "conversion failed"
-	diff "${DISTDIR}/${PN}-test.iso" "${T}/${PN}-test.iso" || die "unexpected iso"
+	./nrg2iso "${DISTDIR}"/nrg2iso-test.nrg "${T}"/nrg2iso-test.iso || die "conversion failed"
+	diff "${DISTDIR}"/nrg2iso-test.iso "${T}"/nrg2iso-test.iso || die "unexpected iso"
 }
 
 src_install() {
-	dobin ${PN}
+	dobin nrg2iso
 	einstalldocs
 }


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-cdr/nrg2iso/
@ 2024-01-11 14:06 Joonas Niilola
  0 siblings, 0 replies; 9+ messages in thread
From: Joonas Niilola @ 2024-01-11 14:06 UTC (permalink / raw
  To: gentoo-commits

commit:     86b0530d2aed9f875a70ebdb9f5e9f8348faee1c
Author:     mipseb <germtoo <AT> outlook <DOT> com>
AuthorDate: Wed Nov  8 09:02:37 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jan 11 14:05:28 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86b0530d

app-cdr/nrg2iso: bump to version 0.4.1

Signed-off-by: Germ Mipseb <germtoo <AT> outlook.com>
Closes: https://github.com/gentoo/gentoo/pull/33723
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-cdr/nrg2iso/Manifest             |  1 +
 app-cdr/nrg2iso/nrg2iso-0.4.1.ebuild | 40 ++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/app-cdr/nrg2iso/Manifest b/app-cdr/nrg2iso/Manifest
index 99cff6ce91c4..7df8c4076349 100644
--- a/app-cdr/nrg2iso/Manifest
+++ b/app-cdr/nrg2iso/Manifest
@@ -1,3 +1,4 @@
+DIST nrg2iso-0.4.1.tar.gz 14949 BLAKE2B e6468d966f0b3ff7913ee58a646abd8a389569e4694b169ba67dfe6d11ac4a17fd9ea2d883d1c53f19c978afa0e376343d635f85cc3e01ed2c47b4cdaf3d4eb1 SHA512 f84711cfbbfd74bdd81854b64b85054df5aa39b8667509d23a8483e665a814d66c7f83426d60849c17fc8b5bb6c2019f549ef6945bb3b000f647bb98dfea03e5
 DIST nrg2iso-0.4.tar.gz 8553 BLAKE2B 2bd7907dc027c1bf602447c32f24f82d1627a90922aa32ebabecc15a3b3bb8d021f0dc3e13661351626a36365c76e325cded37046d7ac0f84ce6239c034a87e1 SHA512 fa9e081984345770fad713cdfc5711c8c9ace3981d1cc8130b4c2b83eca517c7765eaab758a34dd5e59846f24c6e3f76f3fc89e984305c4358859b0b28e1ec68
 DIST nrg2iso-test.iso 55452 BLAKE2B c4bd651bde0bc66b781332cc186828fbe3fbff2c77150f5ac5cea5f42824b0016fd8b007991d94801a64edc43ce84e050a2db654380e3a0497b33d3abb11cdf5 SHA512 905c0b30482a3b411e786a4cc225dab7513a33c32bfd312717f4666543323456d2b6b6ddbeee75ed194e04cf28d472c87ffbdbf783c63abd06fae7e433601fba
 DIST nrg2iso-test.nrg 362652 BLAKE2B c122ae3b0c310e5c823ccbf33906135aa74f1001b02dc31f7fc0fa77b87b5627d31ea8746a64f0e8a2450e0ec20dc25f5fd72e202113237a95bc219f321c79df SHA512 c29f7e7d3f692a03fdbc5d0c1a112ead73efb45b102302f7f1685f9f2ccfe1eed9b690a3c3f1c7d7d79da9197fdb40dd06ca7bab4187e5dfca81d47268b550b7

diff --git a/app-cdr/nrg2iso/nrg2iso-0.4.1.ebuild b/app-cdr/nrg2iso/nrg2iso-0.4.1.ebuild
new file mode 100644
index 000000000000..047667ce42e0
--- /dev/null
+++ b/app-cdr/nrg2iso/nrg2iso-0.4.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Convert CD images from nrg (Nero) to iso"
+HOMEPAGE="http://gregory.kokanosky.free.fr/v4/linux/nrg2iso.en.html"
+SRC_URI="
+	http://gregory.kokanosky.free.fr/v4/linux/${P}.tar.gz
+	test? (
+		https://yegortimoshenko.s3.amazonaws.com/${PN}-test.iso
+		https://yegortimoshenko.s3.amazonaws.com/${PN}-test.nrg
+	)"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+src_configure() {
+	tc-export CC
+}
+
+src_compile() {
+	emake nrg2iso
+}
+
+src_test() {
+	einfo "checking that nrg -> iso matches the expected output"
+	./nrg2iso "${DISTDIR}"/nrg2iso-test.nrg "${T}"/nrg2iso-test.iso || die "conversion failed"
+	diff "${DISTDIR}"/nrg2iso-test.iso "${T}"/nrg2iso-test.iso || die "unexpected iso"
+}
+
+src_install() {
+	dobin nrg2iso
+	einstalldocs
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2024-01-11 14:06 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-05-31 16:22 [gentoo-commits] repo/gentoo:master commit in: app-cdr/nrg2iso/ Patrice Clement
  -- strict thread matches above, loose matches on Subject: below --
2018-01-06 10:32 Michał Górny
2018-02-08 22:13 Sergei Trofimovich
2018-02-21 18:48 Jason Zaman
2018-04-04 22:35 Sergei Trofimovich
2018-04-12 19:07 Thomas Deutschmann
2018-04-12 21:42 Andreas Sturmlechner
2022-07-26 19:27 David Seifert
2024-01-11 14:06 Joonas Niilola

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox